# Historical GIMP splash images

Please add a link in the relevant list below each time you delete a splash. This
will allow to easily retrieve splash images.

This list was created through `git` archeology, especially since some of them
apparently never made it to a release (not even a development release). If any
image was missed, we welcome edits.

For reminder, GIMP website also displays a [list of past
splashes](https://www.gimp.org/about/splash/) which may not be as exhaustive.

# Stable releases
# 3.0 series

*Note: from the 3.0 series and onward, we are planning to release with a new
splash screen for every minor version increments.*

# Up to 2.10 series

* [GIMP 2.10 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/ea3de6d52491ef36f3d24d3f46f5728e906a06e2)
  by Philipp Haegi, CC by 2.0, and graphic overlay by Pat David.

  ![Splash for GIMP 2.10](https://gitlab.gnome.org/GNOME/gimp/-/raw/ea3de6d52491ef36f3d24d3f46f5728e906a06e2/data/images/gimp-splash.png)

* [GIMP 2.8 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/98b6c83179c6ffc8e62d188de534da47d5a51e90)
  by Bernhard Stockmann.

  ![Splash for GIMP 2.8](https://gitlab.gnome.org/GNOME/gimp/-/raw/ea3de6d52491ef36f3d24d3f46f5728e906a06e2/data/images/gimp-splash-2.8.png)

* [GIMP 2.6 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/a0c7b8ef3d8a3065508604011bf707476fdbf618)
  by Alexia Death and edited together with Ville Pätsi.

  ![Splash for GIMP 2.6](https://gitlab.gnome.org/GNOME/gimp/-/raw/ea3de6d52491ef36f3d24d3f46f5728e906a06e2/data/images/gimp-splash-2.6.png)

* [GIMP 2.4 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/54a2298c42590e3081eb86716006951d326c1a2e)
  by Paul Davey.

  ![Splash for GIMP 2.4](https://gitlab.gnome.org/GNOME/gimp/-/raw/ea3de6d52491ef36f3d24d3f46f5728e906a06e2/data/images/gimp-splash-2.4.png)

* [GIMP 2.2 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/c075dab29e494dd596ce84e9548a9b6e7f8c8a6b)
  by Bill Luhtala.

  ![Splash for GIMP 2.2](https://gitlab.gnome.org/GNOME/gimp/-/raw/ea3de6d52491ef36f3d24d3f46f5728e906a06e2/data/images/gimp-splash-2.2.png)

* [GIMP 2.0 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/1951ad214647019217856cf77a2a1b26bdf632f3)
  by Jimmac.

  ![Splash for GIMP 2.0](https://gitlab.gnome.org/GNOME/gimp/-/raw/ea3de6d52491ef36f3d24d3f46f5728e906a06e2/data/images/gimp-splash-2.0.png)

* [GIMP 1.2 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/378814ac77590b4f21ee6c5c39f14a66867c8ef9)
  by Tuomas Kuosmanen.

* [GIMP 1.0 series](https://gitlab.gnome.org/GNOME/gimp/-/commit/8f57aaed0030b11b3ef47ae17770b243c148fc28)
  by Jens Lauterbacher.

The following splash images didn't make it for a stable release:

* [Candidate for GIMP 2.8](https://gitlab.gnome.org/GNOME/gimp/-/commit/b1d09cc7264899b8fec50a2e3a20f57506fa1da8)
  by Alexia Death.

  ![Splash for GIMP 2.8](https://gitlab.gnome.org/GNOME/gimp/-/raw/b1d09cc7264899b8fec50a2e3a20f57506fa1da8/data/images/gimp-splash.png)

# Development releases
## 2.99 series

* [GIMP 2.99.16 and 2.99.18](https://gitlab.gnome.org/GNOME/gimp/-/blob/7eea3c8622e38924fcf7e37c45e5a675d6c04040/data/images/gimp-splash.png)
  by Aryeom, CC by-sa 4.0: "Wilber week 2023 edition"

  ![Splash for GIMP 2.99.16 and 2.99.18](https://gitlab.gnome.org/GNOME/gimp/-/raw/7eea3c8622e38924fcf7e37c45e5a675d6c04040/data/images/gimp-splash.png)

* [GIMP 2.99.10 to 2.99.14](https://gitlab.gnome.org/GNOME/gimp/-/commit/7511c81f31dcf6563c0e1182e69c7569fd67ba3b)
  by Aryeom, CC by-sa 4.0: "Experiments will be continued…"

  ![Splash for GIMP 2.99.10 and 2.99.14](https://gitlab.gnome.org/GNOME/gimp/-/raw/7511c81f31dcf6563c0e1182e69c7569fd67ba3b/data/images/gimp-splash.png)

* [GIMP 2.99.2 to 2.99.8](https://gitlab.gnome.org/GNOME/gimp/-/commit/eee04288c88e380caff272d18b56821697688d19)
  by Aryeom, CC by-sa 4.0

  ![Splash for GIMP 2.99.10 and 2.99.14](https://gitlab.gnome.org/GNOME/gimp/-/raw/eee04288c88e380caff272d18b56821697688d19/data/images/gimp-splash.png)

The following splash images didn't make a release:

* ["Peppers are so 2.10!"](https://gitlab.gnome.org/GNOME/gimp/-/commit/0e8b2b8f04f74aa9522c318e7b7d685c82cb6cf7)
  by Ell.

  ![Candidate GIMP 2.99.2 splash image](https://gitlab.gnome.org/GNOME/gimp/-/raw/0e8b2b8f04f74aa9522c318e7b7d685c82cb6cf7/data/images/gimp-splash.png)

* ["Green Is My Pepper GIMP 2.99!"](https://gitlab.gnome.org/GNOME/gimp/-/commit/83b97aff18cc80a71cec122fa0429ba88ea08933)
  by Jehan, using new brushes created by Aryeom during LGM 2018.

  ![Candidate GIMP 2.99.2 splash image](https://gitlab.gnome.org/GNOME/gimp/-/raw/83b97aff18cc80a71cec122fa0429ba88ea08933/data/images/gimp-splash.png)

## 2.9 series

* [GIMP 2.10.0 RC2](https://gitlab.gnome.org/GNOME/gimp/-/commit/43974c3c6ace840fe675e413a9c03e538d8c259f):
  "we glitch, because we twitch"

  ![GIMP 2.10.0 RC2 splash image](https://gitlab.gnome.org/GNOME/gimp/-/raw/43974c3c6ace840fe675e413a9c03e538d8c259f/data/images/gimp-splash.png)

* [GIMP 2.10.0 RC1](https://gitlab.gnome.org/GNOME/gimp/-/commit/43974c3c6ace840fe675e413a9c03e538d8c259f)
  by Alexandre Prokoudine : "we glitch, because we twitch"

  ![GIMP 2.10.0 RC1 splash image](https://gitlab.gnome.org/GNOME/gimp/-/raw/05a1dadf662f84bdf99b3cb91742df26850cc07f/data/images/gimp-splash.png)

* [GIMP 2.9.8](https://gitlab.gnome.org/GNOME/gimp/-/commit/cdf3db7aab0bf24922077c7fed6137bc126594ff)
  by Christopher Rogers with update by João Sebastião de Oliveira Bueno.

  ![Splash for GIMP 2.9.8](https://gitlab.gnome.org/GNOME/gimp/-/raw/cdf3db7aab0bf24922077c7fed6137bc126594ff/data/images/gimp-splash.png)

* [GIMP 2.9.6](https://gitlab.gnome.org/GNOME/gimp/-/commit/4d606e3c65a7ee44ce9df8dd17d1092a298ab0fd)
  by Aryeom: "Maison de GIMP - Do It Yourself"

  ![Splash for GIMP 2.9.6](https://gitlab.gnome.org/GNOME/gimp/-/raw/4d606e3c65a7ee44ce9df8dd17d1092a298ab0fd/data/images/gimp-splash.png)

* [GIMP 2.9.4](https://gitlab.gnome.org/GNOME/gimp/-/commit/511d6f5a5a9209ac63d91336d019efdd89327e4c)
  by Alexia Death.

  ![Splash for GIMP 2.9.4](https://gitlab.gnome.org/GNOME/gimp/-/raw/511d6f5a5a9209ac63d91336d019efdd89327e4c/data/images/gimp-splash.png)

* [GIMP 2.9.2](https://gitlab.gnome.org/GNOME/gimp/-/commit/10715024bbc123e915f1c32fb6536e8e5e749325)
  by Ville Pätsi: "The Goat Invasion"

  ![Splash for GIMP 2.9.2](https://gitlab.gnome.org/GNOME/gimp/-/raw/10715024bbc123e915f1c32fb6536e8e5e749325/data/images/gimp-splash.png)

The following splash images didn't make a release:

* ["Green Is My Pepper GIMP 2.10.0-RC3"](https://gitlab.gnome.org/GNOME/gimp/-/commit/9bbd763d3c2434e993e71c5d7c497eb381dbb4ef)
  by Jehan, using new brushes created by Aryeom during LGM 2018. We never had a
  RC3!

  !["Green Is My Pepper GIMP 2.10.0-RC3"](https://gitlab.gnome.org/GNOME/gimp/-/raw/9bbd763d3c2434e993e71c5d7c497eb381dbb4ef/data/images/gimp-splash.png)

* [Candidate for GIMP 2.9.8](https://gitlab.gnome.org/GNOME/gimp/-/commit/7f232a87b39d9b5f1c75e5a95c57020e933d90fc)
  by Christopher Rogers: "GIMP 2.9 development"

  ![Candidate for GIMP 2.9.cw810](https://gitlab.gnome.org/GNOME/gimp/-/raw/7f232a87b39d9b5f1c75e5a95c57020e933d90fc/data/images/gimp-splash.png)

* [Candidate for GIMP 2.9.2](https://gitlab.gnome.org/GNOME/gimp/-/commit/244fa1ab49c94e174fb2a5f80ffd51cdc3d34c8e)
  by  Øyvind "pippin" Kolås: "Killer GEGLs from Outer Space"

  ![Candidate for GIMP 2.9.2](https://gitlab.gnome.org/GNOME/gimp/-/raw/244fa1ab49c94e174fb2a5f80ffd51cdc3d34c8e/data/images/gimp-splash.png)

## 2.7 series

* [GIMP 2.7.5](https://gitlab.gnome.org/GNOME/gimp/-/commit/0675fd14e915cfe18ccd65d2e73e15dbc4470433)
  by Alexandre Prokoudine.

  ![Splash for GIMP 2.7.5](https://gitlab.gnome.org/GNOME/gimp/-/raw/0675fd14e915cfe18ccd65d2e73e15dbc4470433/data/images/gimp-splash.png)

* [GIMP 2.7.4](https://gitlab.gnome.org/GNOME/gimp/-/commit/5b4db22ae1b3d3c9aa7a91cb64e29e4f1b15ed18)
  by Alexia Death.

  ![Splash for GIMP 2.7.4](https://gitlab.gnome.org/GNOME/gimp/-/raw/5b4db22ae1b3d3c9aa7a91cb64e29e4f1b15ed18/data/images/gimp-splash.png)

* [GIMP 2.7.2](https://gitlab.gnome.org/GNOME/gimp/-/commit/eb0591f97dca152ec827db083f910b6a9ea16369)
  by Alexia Death.

  ![Splash for GIMP 2.7.2](https://gitlab.gnome.org/GNOME/gimp/-/raw/eb0591f97dca152ec827db083f910b6a9ea16369/data/images/gimp-splash.png)

* [GIMP 2.7.1](https://gitlab.gnome.org/GNOME/gimp/-/commit/5476b8bdb0247cb7d0ef62cbf444acd3fad42836)
  by Simon Budig.

  ![Splash for GIMP 2.7.1](https://gitlab.gnome.org/GNOME/gimp/-/raw/5476b8bdb0247cb7d0ef62cbf444acd3fad42836/data/images/gimp-splash.png)

* [GIMP 2.7.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/5503e6a0552dbfefbda379ff6cef0a3f1af93f82)
  by Aurore Derriennic: "the goat is still sleeping"

  ![Splash for GIMP 2.7.0](https://gitlab.gnome.org/GNOME/gimp/-/raw/5503e6a0552dbfefbda379ff6cef0a3f1af93f82/data/images/gimp-splash.png)

## 2.5 series

* [GIMP 2.5.3](https://gitlab.gnome.org/GNOME/gimp/-/commit/9973e56a80322773b3eb65b743428acaf803000d)
  by Aurore Derriennic.

  ![Splash for GIMP 2.5.3](https://gitlab.gnome.org/GNOME/gimp/-/raw/9973e56a80322773b3eb65b743428acaf803000d/data/images/gimp-splash.png)

* [GIMP 2.5.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/8ebfd5f3bf761f6fd99f5b12fe0461e0ca538bca)
  by Jakub Steiner.

  ![Splash for GIMP 2.5.0](https://gitlab.gnome.org/GNOME/gimp/-/raw/8ebfd5f3bf761f6fd99f5b12fe0461e0ca538bca/data/images/gimp-splash.png)

## 2.3 series

* [GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/commit/bc502b0a659a4e8dc2ca6c8ab577fc54f6df1c35):
  Image taken by Kristian Rietveld; Retouching by Simon Budig and Michael Natterer.

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/bc502b0a659a4e8dc2ca6c8ab577fc54f6df1c35/data/images/gimp-splash.png)

* [GIMP 2.3.10](https://gitlab.gnome.org/GNOME/gimp/-/commit/8557dee2a5092ed6a0f588b656ceacc9b7c9ccd1)
  by Philip Lafleur.

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/8557dee2a5092ed6a0f588b656ceacc9b7c9ccd1/data/images/gimp-splash.png)

* [GIMP 2.3.9](https://gitlab.gnome.org/GNOME/gimp/-/commit/088950c28320df032f022d7783042a47648a5c64):
  animated by Raphael Quinet.

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/088950c28320df032f022d7783042a47648a5c64/data/images/gimp-splash.png)

* [GIMP 2.3.8](https://gitlab.gnome.org/GNOME/gimp/-/commit/b9a0667837cdd02a0c285cba0b4e2cede6fe5760)
  by Carol Spears: "Where's bolsh?"

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/b9a0667837cdd02a0c285cba0b4e2cede6fe5760/data/images/gimp-splash.png)

* [GIMP 2.3.7](https://gitlab.gnome.org/GNOME/gimp/-/commit/781f46a690cbb1aa5ddef22ea55a47e194d5fd02)
  by Roman Joost.

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/781f46a690cbb1aa5ddef22ea55a47e194d5fd02/data/images/gimp-splash.png)

* [GIMP 2.3.6](https://gitlab.gnome.org/GNOME/gimp/-/commit/f51155e0a25a4ec356eabe0cd0818f0d6f5b62fe)
  by Sven Neumann: "22C3 Private Investigations"

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/f51155e0a25a4ec356eabe0cd0818f0d6f5b62fe/data/images/gimp-splash.png)

* [GIMP 2.3.3](https://gitlab.gnome.org/GNOME/gimp/-/commit/6151bd2d48ab65439ffdcddc8acdabd054c4a797)
  by antenne: "What The GIMP"

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/6151bd2d48ab65439ffdcddc8acdabd054c4a797/data/images/gimp-splash.png)

* [GIMP 2.3.1](https://gitlab.gnome.org/GNOME/gimp/-/commit/811427255121873a856172d4ae578f02d4e8d231)
  by Raphael Quinet, a twist on the original PixelPusher concept by jimmac:
  "PixelDumper"

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/811427255121873a856172d4ae578f02d4e8d231/data/images/gimp-splash.png)

* [GIMP 2.3.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/5ab94360da517a8a3c01bdef290f435724adf2a0)
  by Nathan Summers: "Experience the unstableness!"

  ![Splash for GIMP 2.3.13](https://gitlab.gnome.org/GNOME/gimp/-/raw/5ab94360da517a8a3c01bdef290f435724adf2a0/data/images/gimp-splash.png)

The following splash image didn't make a release:

* [Candidate for GIMP 2.3.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/e6125e785343ef7b4df7e75e6b9981956ba60821)
  by Carol Spears.

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/e6125e785343ef7b4df7e75e6b9981956ba60821/data/images/gimp-splash.png)

## 2.1 series

* [GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/commit/869a1b680d4bb93d20f485cd641ff68ec6c67fa2)
  by Jimmac.

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/869a1b680d4bb93d20f485cd641ff68ec6c67fa2/data/images/gimp-splash.png)

* [GIMP 2.2-pre1](https://gitlab.gnome.org/GNOME/gimp/-/commit/be41dc6a316b7d764024999e859af0b1ffe3cc1f)
  by Simon Budig base on a great photo (and pumpkin) by Seth Burgess.

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/be41dc6a316b7d764024999e859af0b1ffe3cc1f/data/images/gimp-splash.png)

* [GIMP 2.1.7](https://gitlab.gnome.org/GNOME/gimp/-/commit/550965744d275aa5b72b6634a307bd37d88c645b)
  by Jimmac

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/550965744d275aa5b72b6634a307bd37d88c645b/data/images/gimp-splash.png)

* [GIMP 2.1.6](https://gitlab.gnome.org/GNOME/gimp/-/commit/93f3623cc7604bfa0977df2e247b6900d4dca5ce)
  by Dave Neary with [slight edit](https://gitlab.gnome.org/GNOME/gimp/-/commit/dc9caf5ce7c22e85dda4725aba1bbf86993ef410)
  by Carol Spears

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/dc9caf5ce7c22e85dda4725aba1bbf86993ef410/data/images/gimp-splash.png)

* [GIMP 2.1.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/95ca9b90f01470caa45a58d9e953b5e21057a65d)
  by Jakub Steiner.

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/95ca9b90f01470caa45a58d9e953b5e21057a65d/data/images/gimp_splash.png)

## 1.3 series

* [GIMP 2.0-pre1](https://gitlab.gnome.org/GNOME/gimp/-/commit/fcf5d8484f895b7e9d2eb87a11131ae189430015)
  by Jakub Steiner: "it's here! soon!"

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/fcf5d8484f895b7e9d2eb87a11131ae189430015/data/images/gimp_splash.png)

* [GIMP 1.3.22](https://gitlab.gnome.org/GNOME/gimp/-/commit/30a56dfd57d0af323ad5d626811eeb78796282a9)
  by Jakub Steiner: "a tiny tribute to the path tool"

  ![Splash image for GIMP 1.3.22](https://gitlab.gnome.org/GNOME/gimp/-/raw/c3ffc1f25d3d9f9daa80ad2dd02ddf85fcf9b565/data/images/gimp_splash.png)

* [GIMP 1.3.19](https://gitlab.gnome.org/GNOME/gimp/-/commit/be0998d95e211fa15703823b36cf8fc6844c10b1)
  by Jakub Steiner: "post-cccamp splash"

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/be0998d95e211fa15703823b36cf8fc6844c10b1/data/images/gimp_splash.png)

* [GIMP 1.3.17](https://gitlab.gnome.org/GNOME/gimp/-/commit/a1d33d15c486a581580fc0aa2741c48565b7f03e)
  by Jakub Steiner: "special Gimpcon splash"

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/a1d33d15c486a581580fc0aa2741c48565b7f03e/data/images/gimp_splash.png)

* [GIMP 1.3.16](https://gitlab.gnome.org/GNOME/gimp/-/commit/8abc548d4780cb99a527a3676ac468b8e0668fe2)
  by Sven Neumann.

  ![Splash for GIMP 2.2-pre2](https://gitlab.gnome.org/GNOME/gimp/-/raw/8abc548d4780cb99a527a3676ac468b8e0668fe2/data/images/gimp_splash.png)

* [GIMP 1.3.14](https://gitlab.gnome.org/GNOME/gimp/-/commit/b8aaa6f33facd90376fc3008472689e50d8805b9)
  by Jakub Steiner: "lighten up a bit"

  ![Splash image for GIMP 1.3.14](https://gitlab.gnome.org/GNOME/gimp/-/raw/1741894e737e246fdf50fa26b2ffd184b86fb3a9/data/images/gimp_splash.png)

* [GIMP 1.3.13](https://gitlab.gnome.org/GNOME/gimp/-/commit/364ff70fa0c589215d49b3743a47faa2b2cec863)
  by Jakub Steiner.

  ![Splash image for GIMP 1.3.14](https://gitlab.gnome.org/GNOME/gimp/-/raw/364ff70fa0c589215d49b3743a47faa2b2cec863/data/images/gimp_splash.png)

* [GIMP 1.3.12](https://gitlab.gnome.org/GNOME/gimp/-/commit/76d11c0317b9129dc3d48a31604b415eecc5a856)
  by Jakub Steiner.

  ![Splash image for GIMP 1.3.12](https://gitlab.gnome.org/GNOME/gimp/-/raw/c2c23ebad022ca7e1847d13afeb9bc3559a6123b/data/images/gimp_splash.png)

* [GIMP 1.3.11](https://gitlab.gnome.org/GNOME/gimp/-/commit/2b01d3979c75698eb1cd41ce0e1d81cdbf939a5d)
  by Jakub Steiner.

  ![Splash image for GIMP 1.3.14](https://gitlab.gnome.org/GNOME/gimp/-/raw/2b01d3979c75698eb1cd41ce0e1d81cdbf939a5d/data/images/gimp_splash.png)

* [GIMP 1.3.9](https://gitlab.gnome.org/GNOME/gimp/-/commit/e5595d6153852b79612d4a3fd1fa44b2121b14fa):
  "new blinkensplash from Paris"

  ![Splash image for GIMP 1.3.14](https://gitlab.gnome.org/GNOME/gimp/-/raw/e5595d6153852b79612d4a3fd1fa44b2121b14fa/data/images/gimp_splash.png)

* [GIMP 1.3.4](https://gitlab.gnome.org/GNOME/gimp/-/commit/f738b2ce5745d4501c1f411ed750be5837fdbb34):
  "blinkenwilber as seen from the berlinerfernsehturm.de"

  ![Splash image for GIMP 1.3.4](https://gitlab.gnome.org/GNOME/gimp/-/raw/cf6564838acfa7d7e5fa69838eb73a6b54fa2ad7/data/images/gimp_splash.png)

* [GIMP 1.3.2](https://gitlab.gnome.org/GNOME/gimp/-/commit/24c5a6f2ca5097a3a829df28e7dad9a1a4654c0a)
  by Simon Budig and Sven Neumann: "blinking splash" (our first animated splash)

  ![Splash image for GIMP 1.3.2](https://gitlab.gnome.org/GNOME/gimp/-/raw/24c5a6f2ca5097a3a829df28e7dad9a1a4654c0a/data/images/gimp_splash.gif)

* [GIMP 1.3.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/a78110b873949b2d04b7afd170c2dfe9e9d88483)
  by Simon Budig.

  ![Splash image for GIMP 1.3.0](https://gitlab.gnome.org/GNOME/gimp/-/raw/757017a8e2164f6251cac8bdaf3edca4d6ed8148/data/images/gimp_splash.png)

The following splash images didn't make a release:

* [Candidate for GIMP 1.3.17](https://gitlab.gnome.org/GNOME/gimp/-/commit/7cfdc0d01f5a5501fe57b2b5748f734de5f82eaf):
  edit of GIMP 1.3.16 splash, by Jakub Steiner.

  ![Candidate for GIMP 1.3.17](https://gitlab.gnome.org/GNOME/gimp/-/raw/7cfdc0d01f5a5501fe57b2b5748f734de5f82eaf/data/images/gimp_splash.png)

# 1.1 series

* [GIMP 1.1.19](https://gitlab.gnome.org/GNOME/gimp/-/blob/bd4e8ebd176bd3979e227654064a1e4c374e30e2/gimp1_1_splash.ppm)
  by Tuomas Kuosmanen.
* [GIMP 1.1.18](https://gitlab.gnome.org/GNOME/gimp/-/commit/84dccbc7bb98f4917be45886e852348b4248c3c7)
  by Tuomas Kuosmanen: "Let the bugs die!"
* [GIMP 1.1.17](https://gitlab.gnome.org/GNOME/gimp/-/commit/52776aa6d4e4c0534ced4ad33cd3f09fa3ebd7cc)
  by Raphael Quinet.
* [GIMP 1.1.15](https://gitlab.gnome.org/GNOME/gimp/-/commit/53bbbc229917b5937f0c1c67bb3eb26377f11387)
  by Tuomas Kuosmanen: "New Year. New Splash."
* [GIMP 1.1.9](https://gitlab.gnome.org/GNOME/gimp/-/commit/91ddb1cc31fb85380813a4f6ec9942ba50a578b6)
  by Adam D. Moss: "Is it still there?"
* [GIMP 1.1.6](https://gitlab.gnome.org/GNOME/gimp/-/commit/391099abd38ec6549b3c7752aed27c6e1142ce4f)
  by Tuomas Kuosmanen: 'Eeeek It's the GIMP "It's a horror!"'
* [GIMP 1.1.2](https://gitlab.gnome.org/GNOME/gimp/-/commit/0b810d1ab9ae6e20bcd45175402891eab38bddae)
  by Adrian
* [GIMP 1.1.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/0b810d1ab9ae6e20bcd45175402891eab38bddae)
  by Adrian Likins: "Replaced tigert's lovely splash screen with something more
  approriate for a unstable development release."


The following splash images didn't make a release:

* [Candidate for GIMP 1.1.15](https://gitlab.gnome.org/GNOME/gimp/-/commit/c3f8c2ae33f7b7996aef98dc3460b47a23f96000)
  by Marc Lehmann: "Happy new year with THE GIMP"
* [Candidate for GIMP 1.1.7](https://gitlab.gnome.org/GNOME/gimp/-/commit/0be340efededc991170a31e9e78b27b636f71ec8)
  by Tuomas Kuosmanen: 'Dont even ask what this is :)'
* [Candidate for GIMP 1.1.6](https://gitlab.gnome.org/GNOME/gimp/-/commit/391099abd38ec6549b3c7752aed27c6e1142ce4f)
  by Tuomas Kuosmanen: 'OOPS'
* [Candidate for GIMP 1.1.6](https://gitlab.gnome.org/GNOME/gimp/-/commit/391099abd38ec6549b3c7752aed27c6e1142ce4f)
  by Sven Neumann: "The GI.IMP"
* [Candidate for GIMP 1.1.2](https://gitlab.gnome.org/GNOME/gimp/-/commit/2bdd456f6b3cd856132889efdb60219d68598811)
  by Shaw Terwilliger.
* [Candidate for GIMP 1.1.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/1139d57c721363fe62eeabdd859de47aa939d020)
  by Tuomas Kuosmanen.
* [Candidate for GIMP 1.1.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/9904afe3b255d0a0d0b1f5837f6ce8351279adb8)
  by Tuomas Kuosmanen and a first [version](https://gitlab.gnome.org/GNOME/gimp/-/commit/c8dfc0ffc6a0859d45ea27643db8b63f59d1285b).
* [Candidate for GIMP 1.1.0](https://gitlab.gnome.org/GNOME/gimp/-/commit/85a8d85e919a525ddc269f268b48f307177df70a)
  by Adrian Likine.
